List forms
Contact forms for a site
Pagination
Use page[number] and page[size] parameters to paginate results:
Get first page of 10 items
GET /v1/forms?page[number]=1&page[size]=10
Get second page of 25 items
GET /v1/forms?page[number]=2&page[size]=25
The response includes pagination links and meta data:
{
"links": {
"self": "https://api.kajabi.com/v1/forms?page[number]=2&page[size]=10",
"first": "https://api.kajabi.com/v1/forms?page[number]=1&page[size]=10",
"prev": "https://api.kajabi.com/v1/forms?page[number]=1&page[size]=10",
"next": "https://api.kajabi.com/v1/forms?page[number]=3&page[size]=10",
"last": "https://api.kajabi.com/v1/forms?page[number]=5&page[size]=10"
},
"meta": {
"total_pages": 5,
"total_count": 50,
"current_page": 2
}
}
Sorting
Use the sort parameter to sort the results:
Sort by title in ascending order
GET /v1/forms?sort=title
Sort by title in descending order
GET /v1/forms?sort=-title
Response will include forms sorted by the specified field
{
"data": [
{
"id": "123",
"type": "forms",
"attributes": {
"title": "Contact Form A",
"description": "General contact form"
}
},
{
"id": "456",
"type": "forms",
"attributes": {
"title": "Contact Form B",
"description": "Newsletter signup form"
}
}
]
}
Sparse Fields
Use the fields[forms] parameter to request only specific attributes:
Only return title and description attributes
GET /v1/forms?fields[forms]=title,description
Response will only include requested fields
{
"data": [{
"id": "123",
"type": "forms",
"attributes": {
"title": "Contact Form A",
"description": "General contact form"
}
}]
}
Filter by Site ID
Use the filter[site_id] parameter to get forms for a specific site:
Get forms for site with ID 123
GET /v1/forms?filter[site_id]=123
Response will only include forms for that site
{
"data": [{
"id": "456",
"type": "forms",
"attributes": {
"title": "Contact Form A",
"description": "General contact form"
},
"relationships": {
"site": {
"data": {
"id": "123",
"type": "sites"
}
}
}
}]
}
Filter by Title Contains
Use the filter[title_cont] parameter to find forms where the title contains specific text:
Get forms with titles containing “course”
GET /v1/forms?filter[title_cont]=course
Response will include forms with matching titles
{
"data": [{
"id": "456",
"type": "forms",
"attributes": {
"title": "Course Registration Form",
"description": "Sign up form for online courses"
}
}]
}
Using Multiple Parameters Together
You can combine pagination, sorting, sparse fields and filtering in a single request:
Get page 2 of forms for site 123, sorted by title descending, including only title and description fields
GET /v1/forms?page[number]=2&page[size]=10&sort=-title&filter[site_id]=123&fields[forms]=title,description
Response will include paginated and filtered forms with sparse fields
{
"data": [
{
"id": "456",
"type": "forms",
"attributes": {
"title": "Newsletter Form",
"description": "Newsletter signup form"
},
"relationships": {
"site": {
"data": {
"id": "123",
"type": "sites"
}
}
}
}
],
"links": {
"self": "https://api.kajabi.com/v1/forms?page[number]=2&page[size]=10&sort=-title&filter[site_id]=123&fields[forms]=title,description",
"first": "https://api.kajabi.com/v1/forms?page[number]=1&page[size]=10&sort=-title&filter[site_id]=123&fields[forms]=title,description",
"prev": "https://api.kajabi.com/v1/forms?page[number]=1&page[size]=10&sort=-title&filter[site_id]=123&fields[forms]=title,description",
"next": null,
"last": "https://api.kajabi.com/v1/forms?page[number]=2&page[size]=10&sort=-title&filter[site_id]=123&fields[forms]=title,description"
},
"meta": {
"total_pages": 2,
"total_count": 15,
"current_page": 2
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Sort order, use: title for descending order use '-' e.g. &sort=-title
Number of documents
Partial attributes as specified, e.g. fields[forms]=title
Filter by site_id, for example ?filter[site_id]=111
Filter by title contains, for example ?filter[title_cont]=course
Response
Success, list of forms which the current user may access